Package net.shibboleth.idp.attribute.resolver.spring.impl

# Class AbstractResolverPluginFactoryBean<T extends AbstractResolverPlugin<?>>

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<T>
net.shibboleth.idp.attribute.resolver.spring.impl.AbstractResolverPluginFactoryBean<T>

Type Parameters:
  `T` - The exact type being deployed.

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<T>`, `InitializingBean`

public abstract class AbstractResolverPluginFactoryBean<T extends AbstractResolverPlugin<?>> extends AbstractComponentAwareFactoryBean<T>
A factory bean to collect the parameterization that goes onto a `AbstractResolverPlugin`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Predicate<ProfileRequestContext>`
`activationCondition`
Plugin property "activationCondition".
`private Set<ResolverAttributeDefinitionDependency>`
`attributeDependencies`
Plugin property "attributeDependencies".
`private String`
`componentId`
The component Id.
`private Set<ResolverDataConnectorDependency>`
`dataConnectorDependencies`
Plugin property "dataConnectorDependencies".
`private Boolean`
`propagateResolutionExceptions`
Plugin property "propagateResolutionExceptions".

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractResolverPluginFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`Predicate<ProfileRequestContext>`
`getActivationCondition()`
Bean getter in support of `AbstractResolverPlugin.setActivationCondition(Predicate)`.
`Set<ResolverAttributeDefinitionDependency>`
`getAttributeDependencies()`
Bean getter in support of `AbstractResolverPlugin.setAttributeDependencies(Set)`.
`Set<ResolverDataConnectorDependency>`
`getDataConnectorDependencies()`
Bean getter in support of `AbstractResolverPlugin.setDataConnectorDependencies(Set)`.
`String`
`getId()`
Get the component Id.
`Boolean`
`getPropagateResolutionExceptions()`
Bean getter in support of `AbstractResolverPlugin.setPropagateResolutionExceptions(boolean)`.
`void`
`setActivationCondition(Predicate<ProfileRequestContext> pred)`
Bean setter in support of `AbstractResolverPlugin.setActivationCondition(Predicate)`.
`void`
`setAttributeDependencies(Set<ResolverAttributeDefinitionDependency> dependencies)`
Bean setter in support of `AbstractResolverPlugin.setAttributeDependencies(Set)`.
`void`
`setDataConnectorDependencies(Set<ResolverDataConnectorDependency> dependencies)`
Bean setter in support of `AbstractResolverPlugin.setDataConnectorDependencies(Set)`.
`void`
`setId(String id)`
Set the component Id.
`void`
`setPropagateResolutionExceptions(boolean propagate)`
Bean setter in support of `AbstractResolverPlugin.setPropagateResolutionExceptions(boolean)`.
`protected void`
`setValues(T what)`
Set the locally defined values into the object under construction.

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, doCreateInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, getObjectType, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### componentId

@Nullable private String componentId
The component Id.

### propagateResolutionExceptions

@Nullable private Boolean propagateResolutionExceptions
Plugin property "propagateResolutionExceptions".

### activationCondition

@Nullable private Predicate<ProfileRequestContext> activationCondition
Plugin property "activationCondition".

### attributeDependencies

@Nullable private Set<ResolverAttributeDefinitionDependency> attributeDependencies
Plugin property "attributeDependencies".

### dataConnectorDependencies

@Nullable private Set<ResolverDataConnectorDependency> dataConnectorDependencies
Plugin property "dataConnectorDependencies".

## Constructor Details

### AbstractResolverPluginFactoryBean

public AbstractResolverPluginFactoryBean()

## Method Details

### getId

@Nullable public String getId()
Get the component Id.

Returns:
  the id.

### setId

public void setId(@Nullable String id)
Set the component Id.

Parameters:
  `id` - the id.

### setPropagateResolutionExceptions

public void setPropagateResolutionExceptions(boolean propagate)
Bean setter in support of `AbstractResolverPlugin.setPropagateResolutionExceptions(boolean)`.

Parameters:
  `propagate` - value to be set

### getPropagateResolutionExceptions

@Nullable public Boolean getPropagateResolutionExceptions()
Bean getter in support of `AbstractResolverPlugin.setPropagateResolutionExceptions(boolean)`.

Returns:
  The value to be set

### setActivationCondition

public void setActivationCondition(@Nullable Predicate<ProfileRequestContext> pred)
Bean setter in support of `AbstractResolverPlugin.setActivationCondition(Predicate)`.

Parameters:
  `pred` - what to set

### getActivationCondition

@Nullable public Predicate<ProfileRequestContext> getActivationCondition()
Bean getter in support of `AbstractResolverPlugin.setActivationCondition(Predicate)`.

Returns:
  The value to be set

### setAttributeDependencies

public void setAttributeDependencies(@Nullable Set<ResolverAttributeDefinitionDependency> dependencies)
Bean setter in support of `AbstractResolverPlugin.setAttributeDependencies(Set)`.

Parameters:
  `dependencies` - value to set

### setDataConnectorDependencies

public void setDataConnectorDependencies(@Nullable Set<ResolverDataConnectorDependency> dependencies)
Bean setter in support of `AbstractResolverPlugin.setDataConnectorDependencies(Set)`.

Parameters:
  `dependencies` - value to set

### getAttributeDependencies

@Nullable public Set<ResolverAttributeDefinitionDependency> getAttributeDependencies()
Bean getter in support of `AbstractResolverPlugin.setAttributeDependencies(Set)`.

Returns:
  The value

### getDataConnectorDependencies

@Nullable public Set<ResolverDataConnectorDependency> getDataConnectorDependencies()
Bean getter in support of `AbstractResolverPlugin.setDataConnectorDependencies(Set)`.

Returns:
  The value

### setValues

protected void setValues(@Nonnull T what)
Set the locally defined values into the object under construction.

Parameters:
  `what` - the object being built.